#
# spec file for package openam
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%ifarch %ix86
%define arch x86
%else
%define arch %{_target_cpu}
%endif

Name:           openam
BuildRequires:  SDL-devel
BuildRequires:  gcc-c++
BuildRequires:  libdv
BuildRequires:  openh323-devel
BuildRequires:  openldap2-devel
BuildRequires:  pwlib-devel
BuildRequires:  speex-devel
Url:            http://www.openh323.org
Summary:        A Simple Answering Machine Using the H.323 Protocol
License:        MPL-1.1
Group:          Productivity/Telephony/H323/Servers
Version:        1.1.18
Release:        1.1
Source0:        openam-1.1.18.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
OpenAM is a simple answering machine using the H.323 protocol. It
requires the OpenH323 library (see http://www.openh323.org for more
information). It is known to run on Linux and Solaris. If you run the
program successfully on another platform, please send an e-mail to
openh323@openh323.org.



%prep
%setup -q -n openam

%build
make PREFIX=/usr OPENH323DIR=/usr/share/openh323 OH323_LIBDIR=%{_libdir} opt

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -c obj_linux_%{arch}_r/openam $RPM_BUILD_ROOT/usr/sbin

%files
%defattr(-,root,root)
%doc ReadMe.txt
%doc run_example
%doc new_msg
%doc sample_message*
/usr/sbin/openam

%changelog
* Wed Jul 11 2012 adrian@suse.de
- fix builds when using a target arch (eg. armv7hl)
- drop unsafe build root removal
* Sat May 12 2007 olh@suse.de
- remove unused libavc1394-devel libdc1394-devel from Buildrequires
* Thu Mar  9 2006 bk@suse.de
- Use explicit gcc-c++ in BuildRequires (was implicit by SDL-devel)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug 18 2004 kkaempf@suse.de
- back to 1.1.18 (from CVS)
* Mon Mar 22 2004 kkaempf@suse.de
- update to 1.13.4
* Mon Mar  8 2004 ro@suse.de
- added libdc1394-devel to neededforbuild
* Sun Feb 22 2004 kkaempf@suse.de
- update to 1.13.1
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Fri Jul 18 2003 kkaempf@suse.de
- update to 1.1.18 (from CVS, as advised on openh323 mailing list)
* Sun Jan 26 2003 meissner@suse.de
- ppc64 support, cleaned up arch handling.
* Mon Nov 18 2002 kkaempf@suse.de
- add expat for VoiceXML support.
* Thu Nov 14 2002 kkaempf@suse.de
- update to 1.1.16
* Thu Nov  7 2002 ro@suse.de
- update to 1.1.14
* Sun Aug 18 2002 kkaempf@suse.de
- update to 1.1.11
* Tue Jul  9 2002 kkaempf@suse.de
- update to 1.1.10
* Thu Apr 18 2002 ro@suse.de
- up to 1.1.8
- fix compilation with gcc-3.1
* Fri Feb  1 2002 kkaempf@suse.de
- Update to 1.1.5
* Wed Dec 19 2001 kkaempf@suse.de
- Update to 1.1.4
- Use %%{_libdir} in .spec file.
* Fri Aug 17 2001 kkaempf@suse.de
- update to 1.0.8
* Thu Aug 16 2001 kkaempf@suse.de
- implement RPM_BUILD_ROOT in spec file.
* Tue Aug  7 2001 kkaempf@suse.de
- update to 1.0.6
- added openssl, openssl-devel to neededforbuild
* Wed Jan  3 2001 kkaempf@suse.de
- install directly to /usr/sbin
* Tue Jan  2 2001 kkaempf@suse.de
- update to maintenance release 1.0beta2
* Wed Nov 22 2000 kkaempf@suse.de
- fix type cast for 64bit architectures
* Mon Nov 20 2000 kkaempf@suse.de
- fix neededforbuild
  use %%doc
  provide wrapper
* Thu Nov 16 2000 kkaempf@suse.de
- update to 1.0beta1
  provide documentation and example
* Wed Jul 12 2000 kkaempf@suse.de
- fix sparc machtype
* Mon Jul 10 2000 kkaempf@suse.de
- fix alpha and ia64
* Mon Jul  3 2000 kkaempf@suse.de
- fix neededforbuild
* Mon Jul  3 2000 kkaempf@suse.de
- created package
